// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

var win = Titanium.UI.createWindow({  
    backgroundColor:'#fff'
});

var fs = Ti.Filesystem;
var imgfile = fs.getFile(fs.resourcesDirectory, "appicon.png");
var htmlfile = fs.getFile(fs.resourcesDirectory, "test.html");

if (imgfile.exists()) {
	var blob = imgfile.read();

	win.add(Ti.UI.createLabel({
		text: "View",
		top: 10,
		height: 20,
		left: 10,
		width: 128,
		textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER
	}));
	var view = Ti.UI.createView({
		borderWidth: 1,
		backgroundImage: blob,
		left: 10,
		top: 30,
		width: 128,
		height: 128
	});
	win.add(view);
	
	win.add(Ti.UI.createLabel({
		text: "ImageView",
		top: 160,
		height: 20,
		left: 10,
		width: 128,
		textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER
	}));
	var img = Ti.UI.createImageView({
		borderWidth: 1,
		image: blob,
		left: 10,
		top: 180,
		width: 128,
		height: 128
	});
	win.add(img);
} else {
	alert("unable to find img file " + imgfile.nativePath);
}

if (htmlfile.exists()) {
	win.add(Ti.UI.createLabel({
		text: "WebView",
		top: 10,
		height: 20,
		left: 170,
		width: 128,
		textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER
	}));
	var view = Ti.UI.createWebView({
		borderWidth: 1,
		data: htmlfile,
		left: 170,
		top: 30,
		width: 128,
		height: 128
	});
	win.add(view);
} else {
	alert("unable to find html file " + htmlfile.nativePath);
}

win.open();